Vector BLF

Loading...
Searching...
No Matches
Vector::BLF::CanMessage Struct Referencefinal

CAN_MESSAGE. More...

`#include <CanMessage.h>`

Inheritance diagram for Vector::BLF::CanMessage:

## Public Member Functions
void | read (AbstractFile &is) override
void | write (AbstractFile &os) override
uint32_t | calculateObjectSize () const override
Public Member Functions inherited from Vector::BLF::ObjectHeader
| ObjectHeader (const ObjectType objectType, const uint16_t objectVersion=0)
void | read (AbstractFile &is) override
void | write (AbstractFile &os) override
uint16_t | calculateHeaderSize () const override
uint32_t | calculateObjectSize () const override
Public Member Functions inherited from Vector::BLF::ObjectHeaderBase
| ObjectHeaderBase (const uint16_t headerVersion, const ObjectType objectType)
| ObjectHeaderBase (const ObjectHeaderBase &)=default
ObjectHeaderBase & | operator= (const ObjectHeaderBase &)=default
| ObjectHeaderBase (ObjectHeaderBase &&)=default
ObjectHeaderBase & | operator= (ObjectHeaderBase &&)=default

## Public Attributes
uint16_t | channel {}
| application channel
uint8_t | flags {}
| CAN dir & rtr.
uint8_t | dlc {}
| CAN dlc.
uint32_t | id {}
| CAN ID.
std::array< uint8_t, 8 > | data {}
| CAN data.
Public Attributes inherited from Vector::BLF::ObjectHeader
uint32_t | objectFlags {ObjectFlags::TimeOneNans}
| object flags
uint16_t | clientIndex {}
| client index of send node
uint16_t | objectVersion {0}
| object specific version
uint64_t | objectTimeStamp {}
| object timestamp
Public Attributes inherited from Vector::BLF::ObjectHeaderBase
uint32_t | signature {ObjectSignature}
| signature (ObjectSignature)
uint16_t | headerSize {}
| sizeof object header
uint16_t | headerVersion {}
| header version (1)
uint32_t | objectSize {}
| object size
ObjectType | objectType {ObjectType::UNKNOWN}
| object type

## Additional Inherited Members
Public Types inherited from Vector::BLF::ObjectHeader
enum | ObjectFlags : uint32_t { TimeTenMics = 0x00000001 , TimeOneNans = 0x00000002 }

## Detailed Description

CAN_MESSAGE.

Deprecated

CAN data or CAN remote frame received or transmitted on a CAN channel.

## Member Function Documentation

## ◆ calculateObjectSize()

uint32_t Vector::BLF::CanMessage::calculateObjectSize | ( |  | ) | const
| override virtual

Calculates the objectSize

Returns
  object size

Reimplemented from Vector::BLF::ObjectHeaderBase.

## ◆ read()

void Vector::BLF::CanMessage::read | ( | AbstractFile & | is | ) |
| override virtual

Read the data of this object

Parameters

  is | input stream

Reimplemented from Vector::BLF::ObjectHeaderBase.

## ◆ write()

void Vector::BLF::CanMessage::write | ( | AbstractFile & | os | ) |
| override virtual

Write the data of this object

Parameters

  os | output stream

Reimplemented from Vector::BLF::ObjectHeaderBase.

## Member Data Documentation

## ◆ channel

uint16_t Vector::BLF::CanMessage::channel {}

application channel

Channel the frame was sent or received.

## ◆ data

std::array<uint8_t, 8> Vector::BLF::CanMessage::data {}

CAN data.

CAN data bytes

## ◆ dlc

uint8_t Vector::BLF::CanMessage::dlc {}

CAN dlc.

Data length code of frame (number of valid data bytes, max. 8)

## ◆ flags

uint8_t Vector::BLF::CanMessage::flags {}

CAN dir & rtr.

CAN Message Flags

CAN dir, rtr, wu & nerr encoded into flags:

- Bit 0: TX
- Bit 5: NERR
- Bit 6: WU
- Bit 7: RTR

## ◆ id

uint32_t Vector::BLF::CanMessage::id {}

CAN ID.

Frame identifier.

The documentation for this struct was generated from the following files:

- CanMessage.h
- CanMessage.cpp